summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..42ce403
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+srcdir="${0%/*}"
+
+(
+ cd "${srcdir}"
+ [ -d build-aux ] || mkdir build-aux
+ >ChangeLog
+ aclocal
+ autoconf
+ automake --add-missing --copy
+)
+
+"${srcdir}/configure" "${@}"